This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 447076 - [PATCH] do less lstat() in nash
[PATCH] do less lstat() in nash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 13:34 EDT by Adam Jackson
Modified: 2010-01-12 10:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:31:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nash-6.0.19-stat-less.patch (1.80 KB, patch)
2008-05-17 13:34 EDT, Adam Jackson
no flags Details | Diff

  None (edit)
Description Adam Jackson 2008-05-17 13:34:19 EDT
Description of problem:

nash does more lstat() than it needs to.  If you're just checking for file type,
then the readdir() you just did has the bits already.
Comment 1 Adam Jackson 2008-05-17 13:34:19 EDT
Created attachment 305812 [details]
nash-6.0.19-stat-less.patch
Comment 2 Warren Togami 2008-09-28 10:52:26 EDT
Peter, could you please review this patch?
Comment 3 Hans de Goede 2010-01-12 10:31:02 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.